Page MenuHomePhabricator

European varnish cache is not purged
Closed, ResolvedPublic

Description

Some thumbnails aren't updated on a PNG update.

File:
https://commons.wikimedia.org/wiki/File:Christian_distribution.png


Version: wmf-deployment
Severity: major
URL: https://commons.wikimedia.org/wiki/File:Christian_distribution.png

Details

Reference
bz47825

Related Objects

StatusAssignedTask
OpenNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:20 AM
bzimport set Reference to bz47825.
bzimport added a subscriber: Unknown Object (MLST).

Purging a couple dozens times didn't help. I don't know if it's related, but yesterday (I think) there was reuploaded SVG whose original didn't get purged; I had to manually purge it and the HTTP request took 12 s to have an answer, presumably while the cache servers retrieved the original.

(In reply to comment #0)

https://commons.wikimedia.org/wiki/File:Christian_distribution.png

Are there more files, or just that one?

Do you refer to the 800px version, and/or others?

And last but not least, what exactly is the difference that I can spot to compare with my eyes?

By the way, required data can be seen here: bug 46976 comment 8.
Needs two wget commands that show different file sizes, preferably.

(In reply to comment #5)

The workaround at the end of
https://bugzilla.wikimedia.org/show_bug.cgi?id=41130#c86 worked for me.

workaround does not scale. I think there are more instances.

Can you confirm this is now fixed for you too?
If so, feel free to close as FIXED.

This particular file is fixed but there seem to be more:

$ wget --no-check-certificate -S https://upload.wikimedia.org/wikipedia/commons/3/37/River_Rak_going_underground.ogv

always gives the old file! (Can be seen by "Content-Length: 104609673"
and "Last-Modified: Tue, 23 Apr 2013 16:00:17 GMT" )

complete stout:
HTTP request sent, awaiting response...

HTTP/1.1 200 OK
Server: nginx/1.1.19
Date: Wed, 01 May 2013 08:27:56 GMT
Content-Type: application/ogg
Content-Length: 104609673
Connection: keep-alive
X-Object-Meta-Sha1base36: oerem5jfniqoh0rg9nqtzezdmzk8vxs
Last-Modified: Tue, 23 Apr 2013 16:00:17 GMT
Etag: b8fc06dc4c99983d3395ea4a046e3673
X-Timestamp: 1366732817.76681
X-Varnish: 3022424079, 3040711536 2253165334, 938134196
Via: 1.1 varnish, 1.1 varnish, 1.1 varnish
Accept-Ranges: bytes
Age: 664001
X-Cache: cp1026 miss (0), cp3010 hit (141), cp3008 frontend miss (0)
Access-Control-Allow-Origin: *

Length: 104609673 (100M) [application/ogg]

(In reply to comment #6)

The workaround at the end of
https://bugzilla.wikimedia.org/show_bug.cgi?id=41130#c86 worked for me.

workaround does not scale. I think there are more instances.

The real fix is fixing bug 43449.

This particular file is fixed but there seem to be more:

That's not about thumbnail purging, but about the actual file. :)
Hence separate bug reports are better, as it's a different problem.
I've created bug 48004 for it.

Gilles raised the priority of this task from High to Unbreak Now!.Dec 4 2014, 10:20 AM
Gilles moved this task from Untriaged to Done on the Multimedia board.
Gilles lowered the priority of this task from Unbreak Now! to High.Dec 4 2014, 11:23 AM